com.fasterxml.jackson.dataformat.cbor

## Class CBORFactoryBuilder

- java.lang.Object
- - com.fasterxml.jackson.core.TSFBuilder<CBORFactory,CBORFactoryBuilder>
  - - com.fasterxml.jackson.dataformat.cbor.CBORFactoryBuilder

-     public class CBORFactoryBuilder
      extends com.fasterxml.jackson.core.TSFBuilder<CBORFactory,CBORFactoryBuilder>

  `TSFBuilder` implementation for constructing `CBORFactory` instances.
  Since:
    3.0

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected int` | `_formatGeneratorFeatures` Set of `CBORGenerator.Feature`s enabled, as bitmask.
    `protected int` | `_formatParserFeatures` Set of `CBORParser.Feature`s enabled, as bitmask.

    - ### Fields inherited from class com.fasterxml.jackson.core.TSFBuilder

      `_factoryFeatures, _inputDecorator, _outputDecorator, _streamReadFeatures, _streamWriteFeatures, DEFAULT_FACTORY_FEATURE_FLAGS, DEFAULT_GENERATOR_FEATURE_FLAGS, DEFAULT_PARSER_FEATURE_FLAGS`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `CBORFactoryBuilder()`
    `` | `CBORFactoryBuilder(CBORFactory base)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `CBORFactory` | `build()`
    `CBORFactoryBuilder` | `configure(CBORGenerator.Feature f, boolean state)`
    `CBORFactoryBuilder` | `configure(CBORParser.Feature f, boolean state)`
    `CBORFactoryBuilder` | `disable(CBORGenerator.Feature f)`
    `CBORFactoryBuilder` | `disable(CBORGenerator.Feature first, CBORGenerator.Feature... other)`
    `CBORFactoryBuilder` | `disable(CBORParser.Feature f)`
    `CBORFactoryBuilder` | `disable(CBORParser.Feature first, CBORParser.Feature... other)`
    `CBORFactoryBuilder` | `enable(CBORGenerator.Feature f)`
    `CBORFactoryBuilder` | `enable(CBORGenerator.Feature first, CBORGenerator.Feature... other)`
    `CBORFactoryBuilder` | `enable(CBORParser.Feature f)`
    `CBORFactoryBuilder` | `enable(CBORParser.Feature first, CBORParser.Feature... other)`
    `int` | `formatGeneratorFeaturesMask()`
    `int` | `formatParserFeaturesMask()`

    - ### Methods inherited from class com.fasterxml.jackson.core.TSFBuilder

      `_legacyDisable, _legacyDisable, _legacyEnable, _legacyEnable, _this, configure, configure, configure, configure, configure, disable, disable, disable, disable, disable, disable, disable, disable, disable, enable, enable, enable, enable, enable, enable, enable, enable, enable, factoryFeaturesMask, inputDecorator, inputDecorator, outputDecorator, outputDecorator, streamReadFeatures, streamWriteFeatures`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### _formatParserFeatures

          protected int _formatParserFeatures

      Set of `CBORParser.Feature`s enabled, as bitmask.

    - #### _formatGeneratorFeatures

          protected int _formatGeneratorFeatures

      Set of `CBORGenerator.Feature`s enabled, as bitmask.

  - ### Constructor Detail

    - #### CBORFactoryBuilder

          protected CBORFactoryBuilder()

    - #### CBORFactoryBuilder

          public CBORFactoryBuilder(CBORFactory base)

  - ### Method Detail

    - #### enable

          public CBORFactoryBuilder enable(CBORParser.Feature f)

    - #### enable

          public CBORFactoryBuilder enable(CBORParser.Feature first,
                                           CBORParser.Feature... other)

    - #### disable

          public CBORFactoryBuilder disable(CBORParser.Feature f)

    - #### disable

          public CBORFactoryBuilder disable(CBORParser.Feature first,
                                            CBORParser.Feature... other)

    - #### configure

          public CBORFactoryBuilder configure(CBORParser.Feature f,
                                              boolean state)

    - #### enable

          public CBORFactoryBuilder enable(CBORGenerator.Feature f)

    - #### enable

          public CBORFactoryBuilder enable(CBORGenerator.Feature first,
                                           CBORGenerator.Feature... other)

    - #### disable

          public CBORFactoryBuilder disable(CBORGenerator.Feature f)

    - #### disable

          public CBORFactoryBuilder disable(CBORGenerator.Feature first,
                                            CBORGenerator.Feature... other)

    - #### configure

          public CBORFactoryBuilder configure(CBORGenerator.Feature f,
                                              boolean state)

    - #### formatParserFeaturesMask

          public int formatParserFeaturesMask()

    - #### formatGeneratorFeaturesMask

          public int formatGeneratorFeaturesMask()

    - #### build

          public CBORFactory build()

      Specified by:
        `build` in class `com.fasterxml.jackson.core.TSFBuilder<CBORFactory,CBORFactoryBuilder>`

Copyright © 2019 FasterXML. All rights reserved.